#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x87,0x01,0x80,0x72,0xB1,0xD5,0xE1,0xCE,0xB6,0xCA,0xEA,0x8C,
		0x00,0x9B,0x59,0x09,0x96,0x91,0xCF,0x0F,0xCF,0x44,0x22,0xA4,
		0x37,0x75,0x9C,0x2A,0xA1,0xBF,0x0C,0xBE,0xF5,0xB3,0x0E,0x25,
		0xE1,0x93,0x7A,0xAD,0x27,0x68,0xC2,0x00,0x81,0xFE,0xE3,0xA3,
		0x04,0x00,0x9A,0x63,0x63,0xC8,0x97,0x97,0xEA,0xC3,0x99,0xDA,
		0x35,0xEF,0x7F,0xFF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
